Description: Fixes the compatibility with the version of Gradle in Debian
Author: Emmanuel Bourg <ebourg@apache.org>
Forwarded: not-needed
--- a/build-system/gradle-core/src/main/java/com/android/build/gradle/tasks/factory/JavaCompileConfigAction.java
+++ b/build-system/gradle-core/src/main/java/com/android/build/gradle/tasks/factory/JavaCompileConfigAction.java
@@ -128,7 +128,6 @@
 
         javacTask.setDestinationDir(scope.getJavaOutputDir());
 
-        javacTask.setDependencyCacheDir(scope.getJavaDependencyCache());
 
         CompileOptions compileOptions = scope.getGlobalScope().getExtension().getCompileOptions();
 
--- a/build-system/gradle-core/src/main/java/com/android/build/gradle/tasks/factory/AndroidUnitTest.java
+++ b/build-system/gradle-core/src/main/java/com/android/build/gradle/tasks/factory/AndroidUnitTest.java
@@ -188,7 +188,7 @@
          * @see AndroidUnitTest#getCandidateClassFiles()
          */
         private static TaskInputs configureSources(@NonNull AndroidUnitTest runTestsTask) {
-            return runTestsTask.getInputs().source(runTestsTask.getCandidateClassFiles());
+            return runTestsTask.getInputs().files(runTestsTask.getCandidateClassFiles());
         }
     }
 }
